Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84952 - META refresh redirect + context menu => Konqueror crash
Summary: META refresh redirect + context menu => Konqueror crash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 09:17 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-09 04:36:44 UTC


Attachments (Terms of Use)

Description Warren Togami 2003-02-24 09:17:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030215

Description of problem:
http://prdownloads.sourceforge.net/tpctl/thinkpad_3.7.tar.gz?use_mirror=easynews

Open this URL in Konqueror and right-click anywhere on the page before it
automatically redirects to download the file.  If the right-click context menu
is open during archive opening Konqueror crashes with signal 11 (SIGSEGV).

Version-Release number of selected component (if applicable):
kdebase-3.1-8
kdelibs-3.1-8
qt-3.1.1-6

How reproducible:
Always

Comment 1 Michael Williams 2003-02-24 15:40:56 UTC
Compiled & installed debuginfo for kdebase and kdelibs, recreated the error.  Here's the 
backtrace: 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...(no debugging symbols found)... 
(no debugging symbols found)...[New Thread 1092519520 (LWP 32625)] 
0xffffe002 in ?? () 
#0  0xffffe002 in ?? () 
#1  0x4063957d in KCrash::defaultCrashHandler(int) () 
   from /usr/lib/libkdecore.so.4 
#2  <signal handler called> 
#3  0x409b7355 in QObject::receivers(int) const () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#4  0x417415f5 in KHTMLPart::popupMenu(QString const&, QPoint const&) () 
   from /usr/lib/libkhtml.so.4 
#5  0x41739f18 in KHTMLPart::popupMenu(QString const&) () 
   from /usr/lib/libkhtml.so.4 
#6  0x4173d997 in KHTMLPart::khtmlMousePressEvent(khtml::MousePressEvent*) () 
   from /usr/lib/libkhtml.so.4 
#7  0x4173d6c7 in KHTMLPart::customEvent(QCustomEvent*) () 
   from /usr/lib/libkhtml.so.4 
#8  0x409b6ccc in QObject::event(QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#9  0x4095af24 in QApplication::internalNotify(QObject*, QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#10 0x4095ab19 in QApplication::notify(QObject*, QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#11 0x405cd1e9 in KApplication::notify(QObject*, QEvent*) () 
   from /usr/lib/libkdecore.so.4 
#12 0x4171ed49 in KHTMLView::viewportMousePressEvent(QMouseEvent*) () 
   from /usr/lib/libkhtml.so.4 
#13 0x40ab3826 in QScrollView::eventFilter(QObject*, QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#14 0x409b6dee in QObject::activate_filters(QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#15 0x409b6d11 in QObject::event(QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#16 0x409ecf8c in QWidget::event(QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#17 0x4095af24 in QApplication::internalNotify(QObject*, QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#18 0x4095a753 in QApplication::notify(QObject*, QEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#19 0x405cd1e9 in KApplication::notify(QObject*, QEvent*) () 
   from /usr/lib/libkdecore.so.4 
#20 0x40901198 in QETWidget::translateMouseEvent(_XEvent const*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#21 0x408fecdf in QApplication::x11ProcessEvent(_XEvent*) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#22 0x40913bda in QEventLoop::processEvents(unsigned) () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#23 0x4096ecf6 in QEventLoop::enterLoop() () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#24 0x4096eb98 in QEventLoop::exec() () from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#25 0x4095b151 in QApplication::exec() () 
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3 
#26 0x412283e7 in main () from /usr/lib/konqueror.so 
#27 0x0804ca81 in strcpy () 
#28 0x0804d73b in strcpy () 
#29 0x0804dbec in strcpy () 
#30 0x0804e8f9 in strcpy () 
#31 0x420154a0 in __libc_start_main () from /lib/tls/libc.so.6 
 
 
Hope this helps. 

Comment 2 Warren Togami 2003-09-09 06:55:30 UTC
Still broken in post-Severn rawhide.

kdebase-3.1.3-7
kdelibs-3.1.3-8
qt-3.1.2-14

Comment 3 Warren Togami 2004-03-09 04:36:44 UTC
Seems fixed. 


Note You need to log in before you can comment on or make changes to this bug.